Bug 721066 - Review Request: rubygem-imagefactory-console - QMF Console for Aeolus Image Factory
Summary: Review Request: rubygem-imagefactory-console - QMF Console for Aeolus Image F...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lalancette
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-13 16:00 UTC by Mo Morsi
Modified: 2011-07-25 13:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-25 13:23:28 UTC
Type: ---
clalance: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Chris Lalancette 2011-07-14 13:38:56 UTC
Initial review:

1)  There is no COPYING or LICENSE file in the sources.  We should fix that in the upstream aeolus repository, to make it clear what license this particular piece of code is under.
2)  Even if we take the GPLv2+ as the license (which is what the rest of the conductor is under), the license listed in the SPEC is wrong.  It says GPLv2+ or Ruby, which is not true; it is just GPLv2+
3)  No need for a BuildRoot anymore (https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag)
4)  No need for a %clean section anymore (https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
5)  No need for %defattr in %files (https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions)
6)  We probably want to make the Requires: rubygems and BuildRequires: rubygems into Requires: ruby(rubygems) and BuildRequires: ruby(rubygems), respectively.

[  OK  ] MUST: rpmlint must be run on every package
[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines
[  OK  ] MUST: The spec file name must match the base package %{name} [...]
[ FAIL ] MUST: The package must meet the Packaging Guidelines
The Source of the package must be the full URL to the released Gem archive
See: http://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Gems
http://fedoraproject.org/wiki/Packaging:SourceURL - clalance: this is a bit problematic in that we don't have releases separate from the main conductor code.  We should probably follow the recommendations in the SourceURL link above and put a comment in describing how to generate the gem.

[  OK  ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[ FAIL ] MUST: The License field in the package spec file must match the 
         actual license
[  OK  ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK  ] MUST: The sources used to build the package must match the
upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
[  OK  ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[  N/A ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[  OK  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  N/A ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[  N/A ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[  N/A ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[  OK  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[  OK  ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example.
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  OK  ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  N/A ] MUST: Header files must be in a -devel package.
[  N/A ] MUST: Static libraries must be in a -static package.
[  N/A ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[  N/A ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  N/A ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[  N/A ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  N/A ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[  OK  ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  OK  ] MUST: All filenames in rpm packages must be valid UTF-8.

Comment 2 Mo Morsi 2011-07-15 13:51:38 UTC
Spec: http://mo.morsi.org/files/aeolus/rubygem-image_factory_console.spec
SRPM:
http://mo.morsi.org/files/aeolus/rubygem-image_factory_console-0.4.0-2.fc15.src.rpm


(In reply to comment #1)
> Initial review:
> 
> 1)  There is no COPYING or LICENSE file in the sources.  We should fix that in
> the upstream aeolus repository, to make it clear what license this particular
> piece of code is under.

Agreed, though from the Fedora submission perspective, not a blocker.


> 2)  Even if we take the GPLv2+ as the license (which is what the rest of the
> conductor is under), the license listed in the SPEC is wrong.  It says GPLv2+
> or Ruby, which is not true; it is just GPLv2+

Done


> 3)  No need for a BuildRoot anymore
> (https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag)

Done


> 4)  No need for a %clean section anymore
> (https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)

Done


> 5)  No need for %defattr in %files
> (https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions)

Done


> 6)  We probably want to make the Requires: rubygems and BuildRequires: rubygems
> into Requires: ruby(rubygems) and BuildRequires: ruby(rubygems), respectively.

Hrm, why? The guidelines state "The package must have a Requires and a BuildRequires on rubygems"

http://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Gems



> [ FAIL ] MUST: The package must meet the Packaging Guidelines
> The Source of the package must be the full URL to the released Gem archive
> See: http://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Gems
> http://fedoraproject.org/wiki/Packaging:SourceURL - clalance: this is a bit
> problematic in that we don't have releases separate from the main conductor
> code.  We should probably follow the recommendations in the SourceURL link
> above and put a comment in describing how to generate the gem.

Done



> [ FAIL ] MUST: The License field in the package spec file must match the 
>          actual license

Done

Comment 3 Mo Morsi 2011-07-15 13:52:19 UTC
Also here is the koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3201285

Comment 4 Mark McLoughlin 2011-07-18 15:14:13 UTC
FWIW, I just noticed ruby_sitelib is unused

Comment 5 Mark McLoughlin 2011-07-19 17:07:09 UTC
Also, there's a thread on aeolus-devel:

  https://fedorahosted.org/pipermail/aeolus-devel/2011-July/003247.html

Looks like we're going to change the name of gem to 'imagefactory-console'

Comment 6 Mo Morsi 2011-07-20 14:27:09 UTC
Updated SPEC: http://mo.morsi.org/files/aeolus/rubygem-image_factory_console.spec
Updated SRPM: http://mo.morsi.org/files/aeolus/rubygem-image_factory_console-0.4.0-3.fc15.src.rpm

(In reply to comment #5)
> Also, there's a thread on aeolus-devel:
> 
>   https://fedorahosted.org/pipermail/aeolus-devel/2011-July/003247.html
> 
> Looks like we're going to change the name of gem to 'imagefactory-console'

Will update this submission when the patches doing so have been ack'd/pushed


(In reply to comment #4)
> FWIW, I just noticed ruby_sitelib is unused

Ah good catch, removed

Comment 7 Chris Lalancette 2011-07-20 15:12:23 UTC
These patches are now in the repository, so we should be good to rename the RPM and get this package in.

Comment 8 Mark McLoughlin 2011-07-20 15:17:18 UTC
Well, there hasn't been an official upstream release to package yet - I'd wait until tomorrow for that

Comment 10 Mo Morsi 2011-07-21 20:11:44 UTC
Updated package Source0 to official 0.4.0 release tarball

Updated SPEC:
http://mo.morsi.org/files/aeolus/rubygem-imagefactory-console.spec
Updated SRPM:
http://mo.morsi.org/files/aeolus/rubygem-imagefactory-console-0.4.0-5.fc15.src.rpm

Comment 11 Mark McLoughlin 2011-07-22 10:15:33 UTC
I'm not the reviewer, but I think my rubygem-aeolus-image comments apply here too:

  https://bugzilla.redhat.com/show_bug.cgi?id=721069#c10

Comment 13 Mo Morsi 2011-07-22 12:39:24 UTC
Updated Source0 url to reflect gem (this should be pushed to rubygems.org as well)

Updated SPEC:
http://mo.morsi.org/files/aeolus/rubygem-imagefactory-console.spec
Updated SRPM:
http://mo.morsi.org/files/aeolus/rubygem-imagefactory-console-0.4.0-5.fc15.src.rpm

Comment 14 Chris Lalancette 2011-07-22 19:59:22 UTC
Looks good to me now.  APPROVED.

Comment 15 Mo Morsi 2011-07-25 12:18:15 UTC
New Package SCM Request
=======================
Package Name: rubygem-imagefactory-console
Short Description: QMF Console for Aeolus Image Factory
Owners:  mmorsi
Branches: 
InitialCC:

Comment 16 Gwyn Ciesla 2011-07-25 12:49:05 UTC
Git done (by process-git-requests).

Comment 17 Mo Morsi 2011-07-25 13:23:28 UTC
Pushed to rawhide and built.


Note You need to log in before you can comment on or make changes to this bug.